ArrayFill (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3, class: ArrayFill

# Class ArrayFill

java.lang.Object
org.apache.commons.lang3.ArrayFill

public final class ArrayFill extends Object
Fills and returns arrays in the fluent style.

Since:
  3.14.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean[]`
  `fill(boolean[] a, boolean val)`
  Fills and returns the given array, assigning the given `boolean` value to each element of the array.
  `static byte[]`
  `fill(byte[] a, byte val)`
  Fills and returns the given array, assigning the given `byte` value to each element of the array.
  `static char[]`
  `fill(char[] a, char val)`
  Fills and returns the given array, assigning the given `char` value to each element of the array.
  `static double[]`
  `fill(double[] a, double val)`
  Fills and returns the given array, assigning the given `double` value to each element of the array.
  `static float[]`
  `fill(float[] a, float val)`
  Fills and returns the given array, assigning the given `float` value to each element of the array.
  `static int[]`
  `fill(int[] a, int val)`
  Fills and returns the given array, assigning the given `int` value to each element of the array.
  `static long[]`
  `fill(long[] a, long val)`
  Fills and returns the given array, assigning the given `long` value to each element of the array.
  `static short[]`
  `fill(short[] a, short val)`
  Fills and returns the given array, assigning the given `short` value to each element of the array.
  `static <T, E extends Throwable>
  T[]`
  `fill(T[] array, FailableIntFunction<? extends T, E> generator)`
  Fills and returns the given array, using the provided generator supplier to compute each element.
  `static <T> T[]`
  `fill(T[] a, T val)`
  Fills and returns the given array, assigning the given `T` value to each element of the array.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fill

    public static boolean[] fill(boolean[] a, boolean val)
    Fills and returns the given array, assigning the given `boolean` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    Since:
      3.18.0
    See Also:
      - `Arrays.fill(boolean[],boolean)`

  - ### fill

    public static byte[] fill(byte[] a, byte val)
    Fills and returns the given array, assigning the given `byte` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(byte[],byte)`

  - ### fill

    public static char[] fill(char[] a, char val)
    Fills and returns the given array, assigning the given `char` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(char[],char)`

  - ### fill

    public static double[] fill(double[] a, double val)
    Fills and returns the given array, assigning the given `double` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(double[],double)`

  - ### fill

    public static float[] fill(float[] a, float val)
    Fills and returns the given array, assigning the given `float` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(float[],float)`

  - ### fill

    public static int[] fill(int[] a, int val)
    Fills and returns the given array, assigning the given `int` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(int[],int)`

  - ### fill

    public static long[] fill(long[] a, long val)
    Fills and returns the given array, assigning the given `long` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(long[],long)`

  - ### fill

    public static short[] fill(short[] a, short val)
    Fills and returns the given array, assigning the given `short` value to each element of the array.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(short[],short)`

  - ### fill

    public static <T, E extends Throwable> T[] fill(T[] array, FailableIntFunction<? extends T, E> generator) throws E
    Fills and returns the given array, using the provided generator supplier to compute each element. Like `Arrays.setAll(Object[], IntFunction)` with exception support.

    If the generator supplier throws an exception, it is relayed to the caller and the array is left in an indeterminate state.

    Type Parameters:
      `T` - type of elements of the array.
      `E` - The kind of thrown exception or error.
    Parameters:
      `array` - array to be initialized.
      `generator` - a function accepting an index and producing the desired value for that position.
    Returns:
      the input array
    Throws:
      `E` - Thrown by the given `generator`.
    Since:
      3.18.0
    See Also:
      - `Arrays.setAll(Object[], IntFunction)`

  - ### fill

    public static <T> T[] fill(T[] a, T val)
    Fills and returns the given array, assigning the given `T` value to each element of the array.
    Type Parameters:
      `T` - the array type.
    Parameters:
      `a` - the array to be filled (may be null).
      `val` - the value to be stored in all elements of the array.
    Returns:
      the given array.
    See Also:
      - `Arrays.fill(Object[],Object)`